#
# spec file for package python-sphinx-issues
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-sphinx-issues
Version:        1.2.0
Release:        bp154.1.31
Summary:        A Sphinx extension for linking to a project's issue tracker
License:        MIT
URL:            https://github.com/sloria/sphinx-issues
Source:         https://github.com/sloria/sphinx-issues/archive/%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-mock
%endif
%python_subpackages

%description
A Sphinx extension for linking to a project's issue tracker. It
includes roles for linking to issues as well as user profiles, with
built-in support for GitHub (though this works with other services).

%prep
%setup -q -n sphinx-issues-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest test_sphinx_issues.py

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar 13 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Thu Jun  6 2019 Tomáš Chvátal <tchvatal@suse.com>
- Reduce bit conditionals as it is not needed
* Fri Apr 26 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 1.2.0
  1.?.?
  * Add :commit: role for linking to commits.
  * Add support for linking to external repos.
  * Add :cve: role for linking to CVEs on https://cve.mitre.org.
  * Add :pr: role.
  * Drop support for Python 3.4.
  0.4.0
  * Raise ValueError if neither issues_uri nor issues_github_path
    is set.
  * Drop support for Python 2.6 and 3.3.
- take GitHub tarball because of the tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Aug 27 2017 jengelh@inai.de
- Update descriptions.
* Sat Aug 19 2017 sebix+novell.com@sebix.at
- initial package
